%define module cups

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       2.0.1
Release:       %mkrel 6
License:       BSD
Group:         Development/Python
Url:           https://github.com/OpenPrinting/pycups/
Source0:       https://github.com/OpenPrinting/pycups/releases/download/v%{version}/pycups-%{version}.tar.gz
Patch0:	       python-3.8.patch
BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(python3)
BuildRequires: cups-devel

%description
Python bindings for the CUPS API.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for the CUPS API
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:     python-cups-doc < 2.0.1-6

%description -n python3-%{module}
Python 3 bindings for the CUPS API.

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n pycups-%version

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
make install-rpmhook DESTDIR="%{buildroot}"

%pyproject_install
%pyproject_save_files cups

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python3} -m pydoc -w cups
mkdir -p html
mv cups.html html

%files -n python3-%{module} -f %{pyproject_files}
%license COPYING
%doc README NEWS TODO
%doc examples html
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov


%changelog
* Wed Dec 20 2023 wally <wally> 2.0.1-6.mga10
+ Revision: 2020094
- drop separate docs pkgs
- drop old conflicts
- properly switch to pyproject rpm macros
+ papoteur <papoteur>
- rebuild for python3.12
- adapt to pyproject

* Fri Mar 18 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1798940
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 neoclust <neoclust> 2.0.1-3.mga9
+ Revision: 1773307
- rebuild for python 3.10

* Tue Mar 16 2021 tmb <tmb> 2.0.1-2.mga9
+ Revision: 1703838
- rebuild for python 3.9

* Tue Apr 28 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1572816
- new version: 2.0.1

* Sun Feb 16 2020 umeabot <umeabot> 1.9.74-4.mga8
+ Revision: 1531408
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 1.9.74-3.mga8
+ Revision: 1439913
- fix building docs in a python3 only world
- rebuild for python-3.8
- drop python2 subpkg
- rebuild for python-3.8
- drop python2 subpkg
- fix building docs in a python3 only world

* Mon Jan 07 2019 tmb <tmb> 1.9.74-2.mga7
+ Revision: 1350920
- rebuild for python 3.7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.9.74-1.mga7
+ Revision: 1346592
- 1.9.74

* Sun Sep 23 2018 umeabot <umeabot> 1.9.73-5.mga7
+ Revision: 1300464
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 1.9.73-4.mga7
+ Revision: 1221519
- Rename python-cups to python2-cups
- Use python_provide

* Fri Aug 04 2017 tv <tv> 1.9.73-3.mga7
+ Revision: 1134525
- rebuild for new python

* Fri Feb 12 2016 umeabot <umeabot> 1.9.73-2.mga6
+ Revision: 958567
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 1.9.73-1.mga6
+ Revision: 889690
- remove some docs files
- update to 1.9.73

* Wed Oct 07 2015 tv <tv> 1.9.68-4.mga6
+ Revision: 886705
- rebuild for python 3.5

* Mon Jan 05 2015 colin <colin> 1.9.68-3.mga5
+ Revision: 808644
- More conflicts to ensure smooth upgrade

* Tue Dec 30 2014 colin <colin> 1.9.68-2.mga5
+ Revision: 807290
- Smooth upgrade (due to shared files)

* Wed Nov 26 2014 philippem <philippem> 1.9.68-1.mga5
+ Revision: 799472
- update to 1.9.68

* Wed Oct 15 2014 umeabot <umeabot> 1.9.67-4.mga5
+ Revision: 750417
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.67-3.mga5
+ Revision: 726907
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.67-2.mga5
+ Revision: 687953
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 1.9.67-1.mga5
+ Revision: 638926
- update to 1.9.67

* Sat May 31 2014 pterjan <pterjan> 1.9.66-2.mga5
+ Revision: 628537
- Rebuild for new Python

* Fri Dec 27 2013 philippem <philippem> 1.9.66-1.mga4
+ Revision: 560960
- Update to 1.9.66, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 1.9.63-3.mga4
+ Revision: 543184
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.9.63-2.mga4
+ Revision: 498333
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.9.63-1.mga4
+ Revision: 450236
- Update to 1.9.63, add doc

* Sun Jan 13 2013 umeabot <umeabot> 1.9.62-2.mga3
+ Revision: 378623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1.9.62-1.mga3
+ Revision: 318015
- update patch
- new version 1.9.62

* Fri May 11 2012 dmorgan <dmorgan> 1.9.61-2.mga2
+ Revision: 235306
- Bump release to push in release

* Thu May 10 2012 dmorgan <dmorgan> 1.9.61-1.mga2
+ Revision: 235083
- New version 1.9.61
  Add P1: Apply upstream patch to fix crash on loading invalid PPDs (rhbz #811159).

* Tue Oct 18 2011 dmorgan <dmorgan> 1.9.60-1.mga2
+ Revision: 156000
- New version 1.9.60

* Sat Jun 11 2011 dmorgan <dmorgan> 1.9.57-1.mga2
+ Revision: 103370
- New version 1.9.57

* Sat Apr 16 2011 ahmad <ahmad> 1.9.55-1.mga1
+ Revision: 86821
- Update to 1.9.55

* Fri Jan 21 2011 dmorgan <dmorgan> 1.9.53-2.mga1
+ Revision: 29630
- imported package python-cups


* Sat Oct 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.9.49-2mdv2011.0
+ Revision: 590604
- fix build
- patch0: fix "format not a string literal"
- rebuild for new python 2.7

* Mon Mar 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.49-1mdv2010.1
+ Revision: 519132
- New version

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.9.48-1mdv2010.1
+ Revision: 493843
- update to new version 1.9.48

* Thu Jun 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.46-1mdv2010.0
+ Revision: 387137
- update to new version 1.9.46

* Thu Jan 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.45-1mdv2009.1
+ Revision: 327227
- Update to new version 1.9.45

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.9.42-2mdv2009.1
+ Revision: 319436
- rebuild for new python

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 1.9.42-1mdv2009.0
+ Revision: 280914
- version 1.9.42

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 1.9.41-1mdv2009.0
+ Revision: 235722
- update to new version 1.9.41

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 1.9.40-1mdv2009.0
+ Revision: 227651
- update to new version 1.9.40

* Fri Jun 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.39-1mdv2009.0
+ Revision: 218828
- version 1.9.39

* Sat May 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.38-2mdv2009.0
+ Revision: 205407
- Fix Spec file
- import python-cups


